import * as widgets from '@jupyter-widgets/base';
export declare class FigureModel extends widgets.DOMWidgetModel {
    defaults(): any;
    initialize(attributes: any, options: any): void;
    handle_custom_messages(msg: any): void;
    save_png(): void;
    static serializers: {
        marks: {
            deserialize: typeof widgets.unpack_models;
        };
        axes: {
            deserialize: typeof widgets.unpack_models;
        };
        interaction: {
            deserialize: typeof widgets.unpack_models;
        };
        scale_x: {
            deserialize: typeof widgets.unpack_models;
        };
        scale_y: {
            deserialize: typeof widgets.unpack_models;
        };
        layout: {
            deserialize: typeof widgets.unpack_models;
        };
    };
}
